<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Vehicles/Scripts/3_game/dayzexpansion_vehicles/physics/expansionphysicsgeometry.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d7/d1c/a02732_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionphysicsgeometry.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d7/d1c/a02732.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionPhysicsGeometry.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment"> */</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> : PhysicsGeomDef</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#a6dc4492e70e7e4ea8c11a840f775427a">   15</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/ddc/a07238.html#a6dc4492e70e7e4ea8c11a840f775427a">ExpansionPhysicsGeometry</a>(<span class="keywordtype">string</span> <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>, dGeom geom, <span class="keywordtype">string</span> materialName, <span class="keywordtype">int</span> layerMask)</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a08d74a8231214471dffe0cce98ef192b">CF_Trace_3</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;ExpansionPhysicsGeometry&quot;</span>).Add(<a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>).Add(materialName).Add(layerMask);</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span> </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d6/d8f/a09397.html#a7ee9065718e6628dc7791b756fa6c0f9">Name</a> = <a class="code hl_variable" href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>        Geometry = geom;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>        MaterialName = materialName;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>        LayerMask = layerMask;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span> </div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        Frame[0] = <span class="stringliteral">&quot;1 0 0&quot;</span>;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        Frame[1] = <span class="stringliteral">&quot;0 1 0&quot;</span>;</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        Frame[2] = <span class="stringliteral">&quot;0 0 1&quot;</span>;</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>        Frame[3] = <span class="stringliteral">&quot;0 0 0&quot;</span>;</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    }</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span> </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#af32660113c47d0e3e94f3724fa3a3ade">   32</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> <a class="code hl_function" href="../../d1/ddc/a07238.html#af32660113c47d0e3e94f3724fa3a3ade">Create</a>()</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>    {</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="stringliteral">&quot;ExpansionPhysicsGeometry&quot;</span>, <span class="stringliteral">&quot;Create&quot;</span>);</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span> </div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">return</span> <span class="keyword">new</span> <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a>(<span class="stringliteral">&quot;&quot;</span>, NULL, <span class="stringliteral">&quot;material/default&quot;</span>, 0xFFFFFFFF);</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    }</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span> </div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#ad288d40a7ac0726192186358d1eab1d9">   41</a></span>    <span class="keyword">static</span> <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> <a class="code hl_function" href="../../d1/ddc/a07238.html#ad288d40a7ac0726192186358d1eab1d9">CreateBox</a>(vector size)</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    {</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="stringliteral">&quot;ExpansionPhysicsGeometry&quot;</span>, <span class="stringliteral">&quot;CreateBox&quot;</span>).Add(size);</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span> </div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>        <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> geom = <span class="keyword">new</span> <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a>(<span class="stringliteral">&quot;&quot;</span>, NULL, <span class="stringliteral">&quot;material/default&quot;</span>, 0xFFFFFFFF);</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>        geom.Geometry = dGeomCreateBox(size);</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span> </div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <span class="keywordflow">return</span> geom;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>    }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span> </div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#a4ea8bd353935f43e08e9763f1964371c">   53</a></span>    <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> <a class="code hl_function" href="../../d1/ddc/a07238.html#a4ea8bd353935f43e08e9763f1964371c">SetGeom</a>(dGeom geom)</div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    {</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;SetGeom&quot;</span>);</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span> </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        Geometry = geom;</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span> </div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span> </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#a2d7c5b6fcf15c3124b6da19edb32052f">   64</a></span>    <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> <a class="code hl_function" href="../../d1/ddc/a07238.html#a2d7c5b6fcf15c3124b6da19edb32052f">SetMaterial</a>(<span class="keywordtype">string</span> materialName)</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;SetMaterial&quot;</span>).Add(materialName);</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span> </div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>        MaterialName = materialName;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span> </div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>        <span class="keywordflow">return</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>    }</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span> </div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#ac153c7a2eae30ecf46fadd75b296f392">   75</a></span>    <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> <a class="code hl_function" href="../../d1/ddc/a07238.html#ac153c7a2eae30ecf46fadd75b296f392">SetMask</a>(<span class="keywordtype">int</span> layerMask)</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    {</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;SetMask&quot;</span>).Add(layerMask);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>        LayerMask = layerMask;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span> </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">return</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>    }</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span> </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#a5f03d966d23ff45f279346254bfac90e">   86</a></span>    <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> <a class="code hl_function" href="../../d1/ddc/a07238.html#a5f03d966d23ff45f279346254bfac90e">SetTransform</a>(<a class="code hl_class" href="../../d1/db3/a04402.html">Transform</a> transform)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>    {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;SetTransform&quot;</span>).Add(transform);</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span> </div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>        Frame[0] = transform.<a class="code hl_variable" href="../../d1/db3/a04402.html#af117f62de54fcf14f7fe0c1c2e1a02dc">data</a>[0];</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>        Frame[1] = transform.<a class="code hl_variable" href="../../d1/db3/a04402.html#af117f62de54fcf14f7fe0c1c2e1a02dc">data</a>[1];</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>        Frame[2] = transform.<a class="code hl_variable" href="../../d1/db3/a04402.html#af117f62de54fcf14f7fe0c1c2e1a02dc">data</a>[2];</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>        Frame[3] = transform.<a class="code hl_variable" href="../../d1/db3/a04402.html#af117f62de54fcf14f7fe0c1c2e1a02dc">data</a>[3];</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span> </div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>        <span class="keywordflow">return</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>    }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span> </div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno"><a class="line" href="../../d1/ddc/a07238.html#a086f15e9e6f7bbd81981af1332547485">  100</a></span>    <a class="code hl_class" href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a> <a class="code hl_function" href="../../d1/ddc/a07238.html#a086f15e9e6f7bbd81981af1332547485">SetPosition</a>(vector <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>)</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    {</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span><span class="preprocessor">#ifdef EXPANSIONTRACE</span></div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keyword">auto</span> trace = <a class="code hl_function" href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a>(ExpansionTracing.VEHICLES, <span class="keyword">this</span>, <span class="stringliteral">&quot;SetPosition&quot;</span>).Add(<a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>);</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span><span class="preprocessor">#endif</span></div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span> </div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        Frame[3] = <a class="code hl_variable" href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a>;</div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span> </div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        <span class="keywordflow">return</span> <span class="keyword">this</span>;</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>    }</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>};</div>
<div class="ttc" id="aa00722_html_a08d74a8231214471dffe0cce98ef192b"><div class="ttname"><a href="../../db/d7c/a00722.html#a08d74a8231214471dffe0cce98ef192b">CF_Trace_3</a></div><div class="ttdeci">static CF_Trace CF_Trace_3(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00087">cf_trace.c:87</a></div></div>
<div class="ttc" id="aa00722_html_a2dbd0d5f5331e4721875b123084eb0df"><div class="ttname"><a href="../../db/d7c/a00722.html#a2dbd0d5f5331e4721875b123084eb0df">CF_Trace_1</a></div><div class="ttdeci">static CF_Trace CF_Trace_1(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00075">cf_trace.c:75</a></div></div>
<div class="ttc" id="aa00722_html_a5be2213174cd68943ae1e0885eca5ec7"><div class="ttname"><a href="../../db/d7c/a00722.html#a5be2213174cd68943ae1e0885eca5ec7">CF_Trace_0</a></div><div class="ttdeci">static CF_Trace CF_Trace_0(bool doLog, Class instance)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d7c/a00722_source.html#l00069">cf_trace.c:69</a></div></div>
<div class="ttc" id="aa01532_html_ac884e55f04581066557cb0154a82a44a"><div class="ttname"><a href="../../dc/d0c/a01532.html#ac884e55f04581066557cb0154a82a44a">name</a></div><div class="ttdeci">class ExpansionMarketOutputs name</div></div>
<div class="ttc" id="aa02441_html_a764a35c2d73b3fff21cd85b6baf13df4"><div class="ttname"><a href="../../d9/dd6/a02441.html#a764a35c2d73b3fff21cd85b6baf13df4">position</a></div><div class="ttdeci">vector position</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/dd6/a02441_source.html#l00020">expansioninteriorbuildingmodule.c:20</a></div></div>
<div class="ttc" id="aa04402_html"><div class="ttname"><a href="../../d1/db3/a04402.html">Transform</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d5e/a00860_source.html#l00013">transform.c:14</a></div></div>
<div class="ttc" id="aa04402_html_af117f62de54fcf14f7fe0c1c2e1a02dc"><div class="ttname"><a href="../../d1/db3/a04402.html#af117f62de54fcf14f7fe0c1c2e1a02dc">Transform::data</a></div><div class="ttdeci">vector data[4]</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d5e/a00860_source.html#l00015">transform.c:15</a></div></div>
<div class="ttc" id="aa07238_html"><div class="ttname"><a href="../../d1/ddc/a07238.html">ExpansionPhysicsGeometry</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00013">expansionphysicsgeometry.c:14</a></div></div>
<div class="ttc" id="aa07238_html_a086f15e9e6f7bbd81981af1332547485"><div class="ttname"><a href="../../d1/ddc/a07238.html#a086f15e9e6f7bbd81981af1332547485">ExpansionPhysicsGeometry::SetPosition</a></div><div class="ttdeci">ExpansionPhysicsGeometry SetPosition(vector position)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00100">expansionphysicsgeometry.c:100</a></div></div>
<div class="ttc" id="aa07238_html_a2d7c5b6fcf15c3124b6da19edb32052f"><div class="ttname"><a href="../../d1/ddc/a07238.html#a2d7c5b6fcf15c3124b6da19edb32052f">ExpansionPhysicsGeometry::SetMaterial</a></div><div class="ttdeci">ExpansionPhysicsGeometry SetMaterial(string materialName)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00064">expansionphysicsgeometry.c:64</a></div></div>
<div class="ttc" id="aa07238_html_a4ea8bd353935f43e08e9763f1964371c"><div class="ttname"><a href="../../d1/ddc/a07238.html#a4ea8bd353935f43e08e9763f1964371c">ExpansionPhysicsGeometry::SetGeom</a></div><div class="ttdeci">ExpansionPhysicsGeometry SetGeom(dGeom geom)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00053">expansionphysicsgeometry.c:53</a></div></div>
<div class="ttc" id="aa07238_html_a5f03d966d23ff45f279346254bfac90e"><div class="ttname"><a href="../../d1/ddc/a07238.html#a5f03d966d23ff45f279346254bfac90e">ExpansionPhysicsGeometry::SetTransform</a></div><div class="ttdeci">ExpansionPhysicsGeometry SetTransform(Transform transform)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00086">expansionphysicsgeometry.c:86</a></div></div>
<div class="ttc" id="aa07238_html_a6dc4492e70e7e4ea8c11a840f775427a"><div class="ttname"><a href="../../d1/ddc/a07238.html#a6dc4492e70e7e4ea8c11a840f775427a">ExpansionPhysicsGeometry::ExpansionPhysicsGeometry</a></div><div class="ttdeci">void ExpansionPhysicsGeometry(string name, dGeom geom, string materialName, int layerMask)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00015">expansionphysicsgeometry.c:15</a></div></div>
<div class="ttc" id="aa07238_html_ac153c7a2eae30ecf46fadd75b296f392"><div class="ttname"><a href="../../d1/ddc/a07238.html#ac153c7a2eae30ecf46fadd75b296f392">ExpansionPhysicsGeometry::SetMask</a></div><div class="ttdeci">ExpansionPhysicsGeometry SetMask(int layerMask)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00075">expansionphysicsgeometry.c:75</a></div></div>
<div class="ttc" id="aa07238_html_ad288d40a7ac0726192186358d1eab1d9"><div class="ttname"><a href="../../d1/ddc/a07238.html#ad288d40a7ac0726192186358d1eab1d9">ExpansionPhysicsGeometry::CreateBox</a></div><div class="ttdeci">static ExpansionPhysicsGeometry CreateBox(vector size)</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00041">expansionphysicsgeometry.c:41</a></div></div>
<div class="ttc" id="aa07238_html_af32660113c47d0e3e94f3724fa3a3ade"><div class="ttname"><a href="../../d1/ddc/a07238.html#af32660113c47d0e3e94f3724fa3a3ade">ExpansionPhysicsGeometry::Create</a></div><div class="ttdeci">static ExpansionPhysicsGeometry Create()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a02732_source.html#l00032">expansionphysicsgeometry.c:32</a></div></div>
<div class="ttc" id="aa09397_html_a7ee9065718e6628dc7791b756fa6c0f9"><div class="ttname"><a href="../../d6/d8f/a09397.html#a7ee9065718e6628dc7791b756fa6c0f9">Name</a></div><div class="ttdeci">string Name</div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d8f/a09397_source.html#l00026">expansionpartyplayerdata.c:26</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_403148263ee4e8f0781f7c219c37e738.html">Vehicles</a></li><li class="navelem"><a class="el" href="../../dir_73552948bc6e6c947ae98efa6ef1fc72.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_32fc427236c19ad0fa01e1e694c3cd8a.html">3_game</a></li><li class="navelem"><a class="el" href="../../dir_300a1ac9777d6ab5b7a7c88035c27fd2.html">dayzexpansion_vehicles</a></li><li class="navelem"><a class="el" href="../../dir_44cfb60784a351948b871a863869f113.html">physics</a></li><li class="navelem"><a class="el" href="../../d7/d1c/a02732.html">expansionphysicsgeometry.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
